@import 'variables';
@import 'media';
@import 'mixins';

@include font-face($Airfool, '../fonts/Airfool', 'Airfool');

@include font-face(
  $Montserrat,
  '../fonts/Montserrat-Regular',
  'Montserrat Regular'
);
@include font-face(
  $MontserratBold,
  '../fonts/Montserrat-Bold',
  'Montserrat Bold'
);
@include font-face(
  $MontserratBlack,
  '../fonts/Montserrat-Black',
  'Montserrat Black'
);
@include font-face(
  $MontserratHeavy,
  '../fonts/Montserrat-Heavy',
  'Montserrat Heavy'
);
@include font-face(
  $MontserratInline,
  '../fonts/Montserrat-Inline',
  'Montserrat Inline'
);
@include font-face(
  $MontserratMedium,
  '../fonts/Montserrat-Medium',
  'Montserrat Medium'
);
@include font-face(
  $MontserratThin,
  '../fonts/Montserrat-Thin',
  'Montserrat Thin'
);

*,
*::before,
*::after {
  box-shadow: none;
  outline: none;
}
html,
body {
  padding: 0;
  margin: 0;
}
body {
  overflow-x: hidden;
  background: $color-white;
  font-family: $MontserratMedium;
  color: $color-black;
  align-items: start;
  min-height: 100vh;
  display: grid;
  padding: 0;
  @include respond-to(extra-small-screen) {
    font-size: 12px;
  }
}

a {
  text-decoration: none;
  cursor: pointer;
}

p {
  font-family: $Montserrat;
  font-style: normal;
  font-weight: normal;
  margin-top: 0;
  margin-bottom: 10px;
  font-size: 1rem;
  line-height: 1.5rem;
}

strong {
  font-family: $MontserratBold;
  font-weight: normal;
}

h1,
h2,
h3,
h4,
h5 {
  font-family: $MontserratBlack;
  font-weight: normal;
  color: $color-black;
}

.logo {
  height: 50px;
  width: 160px;
}

footer {
  align-self: flex-end;
}
